
package CDN::Edgecast::Client::auto::Administration::Element::CustomerCnameAdd;
BEGIN {
  $CDN::Edgecast::Client::auto::Administration::Element::CustomerCnameAdd::VERSION = '0.01.00';
}
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'EC:WebServices' }

__PACKAGE__->__set_name('CustomerCnameAdd');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %strCredential_of :ATTR(:get<strCredential>);
my %strCustomerId_of :ATTR(:get<strCustomerId>);
my %strCustomId_of :ATTR(:get<strCustomId>);
my %intMediaType_of :ATTR(:get<intMediaType>);
my %strCname_of :ATTR(:get<strCname>);
my %intOriginId_of :ATTR(:get<intOriginId>);
my %strDirPath_of :ATTR(:get<strDirPath>);

__PACKAGE__->_factory(
    [ qw(        strCredential
        strCustomerId
        strCustomId
        intMediaType
        strCname
        intOriginId
        strDirPath

    ) ],
    {
        'strCredential' => \%strCredential_of,
        'strCustomerId' => \%strCustomerId_of,
        'strCustomId' => \%strCustomId_of,
        'intMediaType' => \%intMediaType_of,
        'strCname' => \%strCname_of,
        'intOriginId' => \%intOriginId_of,
        'strDirPath' => \%strDirPath_of,
    },
    {
        'strCredential' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'strCustomerId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'strCustomId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'intMediaType' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
        'strCname' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'intOriginId' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
        'strDirPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    },
    {

        'strCredential' => 'strCredential',
        'strCustomerId' => 'strCustomerId',
        'strCustomId' => 'strCustomId',
        'intMediaType' => 'intMediaType',
        'strCname' => 'strCname',
        'intOriginId' => 'intOriginId',
        'strDirPath' => 'strDirPath',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

CDN::Edgecast::Client::auto::Administration::Element::CustomerCnameAdd

=head1 VERSION

version 0.01.00

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
CustomerCnameAdd from the namespace EC:WebServices.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * strCredential

 $element->set_strCredential($data);
 $element->get_strCredential();




=item * strCustomerId

 $element->set_strCustomerId($data);
 $element->get_strCustomerId();




=item * strCustomId

 $element->set_strCustomId($data);
 $element->get_strCustomId();




=item * intMediaType

 $element->set_intMediaType($data);
 $element->get_intMediaType();




=item * strCname

 $element->set_strCname($data);
 $element->get_strCname();




=item * intOriginId

 $element->set_intOriginId($data);
 $element->get_intOriginId();




=item * strDirPath

 $element->set_strDirPath($data);
 $element->get_strDirPath();





=back


=head1 METHODS

=head2 new

 my $element = CDN::Edgecast::Client::auto::Administration::Element::CustomerCnameAdd->new($data);

Constructor. The following data structure may be passed to new():

 {
   strCredential =>  $some_value, # string
   strCustomerId =>  $some_value, # string
   strCustomId =>  $some_value, # string
   intMediaType =>  $some_value, # int
   strCname =>  $some_value, # string
   intOriginId =>  $some_value, # int
   strDirPath =>  $some_value, # string
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut