
package CDN::Edgecast::Client::auto::Administration::Element::CustomerOrigin;
BEGIN {
  $CDN::Edgecast::Client::auto::Administration::Element::CustomerOrigin::VERSION = '0.01.00';
}
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'EC:WebServices' }

__PACKAGE__->__set_name('CustomerOrigin');
__PACKAGE__->__set_nillable(1);
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();
use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    CDN::Edgecast::Client::auto::Administration::Type::CustomerOrigin
);

}

1;


=pod

=head1 NAME

CDN::Edgecast::Client::auto::Administration::Element::CustomerOrigin

=head1 VERSION

version 0.01.00

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
CustomerOrigin from the namespace EC:WebServices.







=head1 METHODS

=head2 new

 my $element = CDN::Edgecast::Client::auto::Administration::Element::CustomerOrigin->new($data);

Constructor. The following data structure may be passed to new():

 { # CDN::Edgecast::Client::auto::Administration::Type::CustomerOrigin
   Id =>  $some_value, # int
   OriginString =>  $some_value, # string
   DiskStorageLocation =>  $some_value, # short
   DiskStorageLocationName =>  $some_value, # string
   MediaTypeId =>  $some_value, # short
   OriginShield =>  $some_value, # short
   FullURL =>  $some_value, # string
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut