
package CDN::Edgecast::Client::auto::Administration::Element::CustomerUsers;
BEGIN {
  $CDN::Edgecast::Client::auto::Administration::Element::CustomerUsers::VERSION = '0.01.00';
}
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'EC:WebServices' }

__PACKAGE__->__set_name('CustomerUsers');
__PACKAGE__->__set_nillable(1);
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();
use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    CDN::Edgecast::Client::auto::Administration::Type::CustomerUsers
);

}

1;


=pod

=head1 NAME

CDN::Edgecast::Client::auto::Administration::Element::CustomerUsers

=head1 VERSION

version 0.01.00

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
CustomerUsers from the namespace EC:WebServices.







=head1 METHODS

=head2 new

 my $element = CDN::Edgecast::Client::auto::Administration::Element::CustomerUsers->new($data);

Constructor. The following data structure may be passed to new():

 { # CDN::Edgecast::Client::auto::Administration::Type::CustomerUsers
   CustomerUser =>  { # CDN::Edgecast::Client::auto::Administration::Type::CustomerUser
     Id =>  $some_value, # unsignedInt
     Email =>  $some_value, # string
     TimeZoneId =>  $some_value, # int
     IsAdmin =>  $some_value, # boolean
     FirstName =>  $some_value, # string
     LastName =>  $some_value, # string
     Password =>  $some_value, # string
     Title =>  $some_value, # string
     Phone =>  $some_value, # string
     Fax =>  $some_value, # string
     Mobile =>  $some_value, # string
     Address1 =>  $some_value, # string
     Address2 =>  $some_value, # string
     City =>  $some_value, # string
     State =>  $some_value, # string
     Zip =>  $some_value, # string
     Country =>  $some_value, # string
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut