package CDN::Edgecast::Client::auto::Administration::Type::CustomerCname;
BEGIN {
  $CDN::Edgecast::Client::auto::Administration::Type::CustomerCname::VERSION = '0.01.00';
}
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'EC:WebServices' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Id_of :ATTR(:get<Id>);
my %Cname_of :ATTR(:get<Cname>);
my %OriginId_of :ATTR(:get<OriginId>);
my %PointsTo_of :ATTR(:get<PointsTo>);

__PACKAGE__->_factory(
    [ qw(        Id
        Cname
        OriginId
        PointsTo

    ) ],
    {
        'Id' => \%Id_of,
        'Cname' => \%Cname_of,
        'OriginId' => \%OriginId_of,
        'PointsTo' => \%PointsTo_of,
    },
    {
        'Id' => 'SOAP::WSDL::XSD::Typelib::Builtin::unsignedInt',
        'Cname' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'OriginId' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
        'PointsTo' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    },
    {

        'Id' => 'Id',
        'Cname' => 'Cname',
        'OriginId' => 'OriginId',
        'PointsTo' => 'PointsTo',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

CDN::Edgecast::Client::auto::Administration::Type::CustomerCname

=head1 VERSION

version 0.01.00

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
CustomerCname from the namespace EC:WebServices.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Id


=item * Cname


=item * OriginId


=item * PointsTo




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # CDN::Edgecast::Client::auto::Administration::Type::CustomerCname
   Id =>  $some_value, # unsignedInt
   Cname =>  $some_value, # string
   OriginId =>  $some_value, # int
   PointsTo =>  $some_value, # string
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut