package CDN::Edgecast::Client::auto::Administration::Type::CustomerCnames;
BEGIN {
  $CDN::Edgecast::Client::auto::Administration::Type::CustomerCnames::VERSION = '0.01.00';
}
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'EC:WebServices' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %CustomerCname_of :ATTR(:get<CustomerCname>);

__PACKAGE__->_factory(
    [ qw(        CustomerCname

    ) ],
    {
        'CustomerCname' => \%CustomerCname_of,
    },
    {
        'CustomerCname' => 'CDN::Edgecast::Client::auto::Administration::Type::CustomerCname',
    },
    {

        'CustomerCname' => 'CustomerCname',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

CDN::Edgecast::Client::auto::Administration::Type::CustomerCnames

=head1 VERSION

version 0.01.00

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
CustomerCnames from the namespace EC:WebServices.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * CustomerCname




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # CDN::Edgecast::Client::auto::Administration::Type::CustomerCnames
   CustomerCname =>  { # CDN::Edgecast::Client::auto::Administration::Type::CustomerCname
     Id =>  $some_value, # unsignedInt
     Cname =>  $some_value, # string
     OriginId =>  $some_value, # int
     PointsTo =>  $some_value, # string
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut