package CDN::Edgecast::Client::auto::Administration::Type::CustomerOrigin;
BEGIN {
  $CDN::Edgecast::Client::auto::Administration::Type::CustomerOrigin::VERSION = '0.01.00';
}
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'EC:WebServices' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Id_of :ATTR(:get<Id>);
my %OriginString_of :ATTR(:get<OriginString>);
my %DiskStorageLocation_of :ATTR(:get<DiskStorageLocation>);
my %DiskStorageLocationName_of :ATTR(:get<DiskStorageLocationName>);
my %MediaTypeId_of :ATTR(:get<MediaTypeId>);
my %OriginShield_of :ATTR(:get<OriginShield>);
my %FullURL_of :ATTR(:get<FullURL>);

__PACKAGE__->_factory(
    [ qw(        Id
        OriginString
        DiskStorageLocation
        DiskStorageLocationName
        MediaTypeId
        OriginShield
        FullURL

    ) ],
    {
        'Id' => \%Id_of,
        'OriginString' => \%OriginString_of,
        'DiskStorageLocation' => \%DiskStorageLocation_of,
        'DiskStorageLocationName' => \%DiskStorageLocationName_of,
        'MediaTypeId' => \%MediaTypeId_of,
        'OriginShield' => \%OriginShield_of,
        'FullURL' => \%FullURL_of,
    },
    {
        'Id' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
        'OriginString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'DiskStorageLocation' => 'SOAP::WSDL::XSD::Typelib::Builtin::short',
        'DiskStorageLocationName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'MediaTypeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::short',
        'OriginShield' => 'SOAP::WSDL::XSD::Typelib::Builtin::short',
        'FullURL' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    },
    {

        'Id' => 'Id',
        'OriginString' => 'OriginString',
        'DiskStorageLocation' => 'DiskStorageLocation',
        'DiskStorageLocationName' => 'DiskStorageLocationName',
        'MediaTypeId' => 'MediaTypeId',
        'OriginShield' => 'OriginShield',
        'FullURL' => 'FullURL',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

CDN::Edgecast::Client::auto::Administration::Type::CustomerOrigin

=head1 VERSION

version 0.01.00

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
CustomerOrigin from the namespace EC:WebServices.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Id


=item * OriginString


=item * DiskStorageLocation


=item * DiskStorageLocationName


=item * MediaTypeId


=item * OriginShield


=item * FullURL




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # CDN::Edgecast::Client::auto::Administration::Type::CustomerOrigin
   Id =>  $some_value, # int
   OriginString =>  $some_value, # string
   DiskStorageLocation =>  $some_value, # short
   DiskStorageLocationName =>  $some_value, # string
   MediaTypeId =>  $some_value, # short
   OriginShield =>  $some_value, # short
   FullURL =>  $some_value, # string
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut