package CDN::Edgecast::Client::auto::Administration::Type::CustomerOrigins;
BEGIN {
  $CDN::Edgecast::Client::auto::Administration::Type::CustomerOrigins::VERSION = '0.01.00';
}
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'EC:WebServices' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %CustomerOrigin_of :ATTR(:get<CustomerOrigin>);

__PACKAGE__->_factory(
    [ qw(        CustomerOrigin

    ) ],
    {
        'CustomerOrigin' => \%CustomerOrigin_of,
    },
    {
        'CustomerOrigin' => 'CDN::Edgecast::Client::auto::Administration::Type::CustomerOrigin',
    },
    {

        'CustomerOrigin' => 'CustomerOrigin',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

CDN::Edgecast::Client::auto::Administration::Type::CustomerOrigins

=head1 VERSION

version 0.01.00

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
CustomerOrigins from the namespace EC:WebServices.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * CustomerOrigin




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # CDN::Edgecast::Client::auto::Administration::Type::CustomerOrigins
   CustomerOrigin =>  { # CDN::Edgecast::Client::auto::Administration::Type::CustomerOrigin
     Id =>  $some_value, # int
     OriginString =>  $some_value, # string
     DiskStorageLocation =>  $some_value, # short
     DiskStorageLocationName =>  $some_value, # string
     MediaTypeId =>  $some_value, # short
     OriginShield =>  $some_value, # short
     FullURL =>  $some_value, # string
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut