package CDN::Edgecast::Client::auto::Administration::Type::CustomerUsers;
BEGIN {
  $CDN::Edgecast::Client::auto::Administration::Type::CustomerUsers::VERSION = '0.01.00';
}
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'EC:WebServices' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %CustomerUser_of :ATTR(:get<CustomerUser>);

__PACKAGE__->_factory(
    [ qw(        CustomerUser

    ) ],
    {
        'CustomerUser' => \%CustomerUser_of,
    },
    {
        'CustomerUser' => 'CDN::Edgecast::Client::auto::Administration::Type::CustomerUser',
    },
    {

        'CustomerUser' => 'CustomerUser',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

CDN::Edgecast::Client::auto::Administration::Type::CustomerUsers

=head1 VERSION

version 0.01.00

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
CustomerUsers from the namespace EC:WebServices.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * CustomerUser




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # CDN::Edgecast::Client::auto::Administration::Type::CustomerUsers
   CustomerUser =>  { # CDN::Edgecast::Client::auto::Administration::Type::CustomerUser
     Id =>  $some_value, # unsignedInt
     Email =>  $some_value, # string
     TimeZoneId =>  $some_value, # int
     IsAdmin =>  $some_value, # boolean
     FirstName =>  $some_value, # string
     LastName =>  $some_value, # string
     Password =>  $some_value, # string
     Title =>  $some_value, # string
     Phone =>  $some_value, # string
     Fax =>  $some_value, # string
     Mobile =>  $some_value, # string
     Address1 =>  $some_value, # string
     Address2 =>  $some_value, # string
     City =>  $some_value, # string
     State =>  $some_value, # string
     Zip =>  $some_value, # string
     Country =>  $some_value, # string
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut