
package CDN::Edgecast::Client::auto::MediaManager::Element::TokenEncrypt;
BEGIN {
  $CDN::Edgecast::Client::auto::MediaManager::Element::TokenEncrypt::VERSION = '0.01.00';
}
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'EC:WebServices' }

__PACKAGE__->__set_name('TokenEncrypt');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %strCredential_of :ATTR(:get<strCredential>);
my %strKey_of :ATTR(:get<strKey>);
my %strArgs_of :ATTR(:get<strArgs>);

__PACKAGE__->_factory(
    [ qw(        strCredential
        strKey
        strArgs

    ) ],
    {
        'strCredential' => \%strCredential_of,
        'strKey' => \%strKey_of,
        'strArgs' => \%strArgs_of,
    },
    {
        'strCredential' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'strKey' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'strArgs' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    },
    {

        'strCredential' => 'strCredential',
        'strKey' => 'strKey',
        'strArgs' => 'strArgs',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

CDN::Edgecast::Client::auto::MediaManager::Element::TokenEncrypt

=head1 VERSION

version 0.01.00

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
TokenEncrypt from the namespace EC:WebServices.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * strCredential

 $element->set_strCredential($data);
 $element->get_strCredential();




=item * strKey

 $element->set_strKey($data);
 $element->get_strKey();




=item * strArgs

 $element->set_strArgs($data);
 $element->get_strArgs();





=back


=head1 METHODS

=head2 new

 my $element = CDN::Edgecast::Client::auto::MediaManager::Element::TokenEncrypt->new($data);

Constructor. The following data structure may be passed to new():

 {
   strCredential =>  $some_value, # string
   strKey =>  $some_value, # string
   strArgs =>  $some_value, # string
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut