
package CDN::Edgecast::Client::auto::Reporting::Element::Files;
BEGIN {
  $CDN::Edgecast::Client::auto::Reporting::Element::Files::VERSION = '0.01.00';
}
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'EC:WebServices' }

__PACKAGE__->__set_name('Files');
__PACKAGE__->__set_nillable(1);
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();
use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    CDN::Edgecast::Client::auto::Reporting::Type::Files
);

}

1;


=pod

=head1 NAME

CDN::Edgecast::Client::auto::Reporting::Element::Files

=head1 VERSION

version 0.01.00

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
Files from the namespace EC:WebServices.







=head1 METHODS

=head2 new

 my $element = CDN::Edgecast::Client::auto::Reporting::Element::Files->new($data);

Constructor. The following data structure may be passed to new():

 { # CDN::Edgecast::Client::auto::Reporting::Type::Files
   File =>  { # CDN::Edgecast::Client::auto::Reporting::Type::File
     strFileName =>  $some_value, # string
     lngBytes =>  $some_value, # long
     lngAvgDuration =>  $some_value, # long
     lngHits =>  $some_value, # long
     lngDailyUniques =>  $some_value, # long
     lngCompleteDownloads =>  $some_value, # long
     lngDownloadAttempts =>  $some_value, # long
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut