package CDN::Edgecast::Client::auto::Reporting::Type::Cnames;
BEGIN {
  $CDN::Edgecast::Client::auto::Reporting::Type::Cnames::VERSION = '0.01.00';
}
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'EC:WebServices' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Cname_of :ATTR(:get<Cname>);

__PACKAGE__->_factory(
    [ qw(        Cname

    ) ],
    {
        'Cname' => \%Cname_of,
    },
    {
        'Cname' => 'CDN::Edgecast::Client::auto::Reporting::Type::Cname',
    },
    {

        'Cname' => 'Cname',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

CDN::Edgecast::Client::auto::Reporting::Type::Cnames

=head1 VERSION

version 0.01.00

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
Cnames from the namespace EC:WebServices.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Cname




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # CDN::Edgecast::Client::auto::Reporting::Type::Cnames
   Cname =>  { # CDN::Edgecast::Client::auto::Reporting::Type::Cname
     strName =>  $some_value, # string
     lngBytes =>  $some_value, # long
     lngHits =>  $some_value, # long
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut