package CDN::Edgecast::Client::auto::Reporting::Type::Directories;
BEGIN {
  $CDN::Edgecast::Client::auto::Reporting::Type::Directories::VERSION = '0.01.00';
}
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'EC:WebServices' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Directory_of :ATTR(:get<Directory>);

__PACKAGE__->_factory(
    [ qw(        Directory

    ) ],
    {
        'Directory' => \%Directory_of,
    },
    {
        'Directory' => 'CDN::Edgecast::Client::auto::Reporting::Type::Directory',
    },
    {

        'Directory' => 'Directory',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

CDN::Edgecast::Client::auto::Reporting::Type::Directories

=head1 VERSION

version 0.01.00

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
Directories from the namespace EC:WebServices.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Directory




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # CDN::Edgecast::Client::auto::Reporting::Type::Directories
   Directory =>  { # CDN::Edgecast::Client::auto::Reporting::Type::Directory
     strDirName =>  $some_value, # string
     lngBytes =>  $some_value, # long
     lngAvgDuration =>  $some_value, # long
     lngHits =>  $some_value, # long
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut