package CDN::Edgecast::Client::auto::Reporting::Type::Files;
BEGIN {
  $CDN::Edgecast::Client::auto::Reporting::Type::Files::VERSION = '0.01.00';
}
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'EC:WebServices' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %File_of :ATTR(:get<File>);

__PACKAGE__->_factory(
    [ qw(        File

    ) ],
    {
        'File' => \%File_of,
    },
    {
        'File' => 'CDN::Edgecast::Client::auto::Reporting::Type::File',
    },
    {

        'File' => 'File',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

CDN::Edgecast::Client::auto::Reporting::Type::Files

=head1 VERSION

version 0.01.00

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
Files from the namespace EC:WebServices.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * File




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # CDN::Edgecast::Client::auto::Reporting::Type::Files
   File =>  { # CDN::Edgecast::Client::auto::Reporting::Type::File
     strFileName =>  $some_value, # string
     lngBytes =>  $some_value, # long
     lngAvgDuration =>  $some_value, # long
     lngHits =>  $some_value, # long
     lngDailyUniques =>  $some_value, # long
     lngCompleteDownloads =>  $some_value, # long
     lngDownloadAttempts =>  $some_value, # long
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut